PSCOUPE(1)

NAME
pscoupe - Plot cross-sections of focal mechanisms.

SYNOPSIS
pscoupe files -Jparameters -Rwest/east/south/north[r] -Aparameters [ -B[p|s]parameters ] [ -Ffill ] [ -Gfill ] [ -H[i][nrec] ] [ -K ] [ -L[pen] ] [ -M ] [ -N ] [ -O ] [ -P ] [ -S<symbol><scale>[/d] ] [ -s<symbol><size>[/d] ] [ -Tn ] [ -U[just/dx/dy/][c|label] ] [ -V ] [ -Wpen ] [ -X[a|c|r][x-shift[u]] ] [ -Y[a|c|r][y-shift[u]] ] [ -Zcpt ] [ -a[size/[P_symbol/[T_symbol]]] ] [ -gfill ] [ -efill ] [ -ppen ] [ -tpen ] [ -:[i|o] ] [ -ccopies ]

DESCRIPTION
pscoupe reads data values from files [or standard input] and generates PostScript code that will plot symbols, lines or polygons on a cross-section. Focal mechanisms may be specified and require additional columns of data. The PostScript code is written to standard output.

files list one or more file-names. If no files are given, pscoupe will read standard input.

A new file is created with the new coordinates (x, y) and the mechanism (from lower focal half-sphere for horizontal plane, to half-sphere behind a vertical plane). When the plane is not horizontal, - north direction becomes upwards steepest descent direction of the plane (u) - east direction becomes strike direction of the plane (s) - down direction (= north^east) becomes u^s
Axis angles are defined in the same way as in horizontal plane in the new system.
Moment tensor (initially in r, t, f system that is up, south, east) is defined in (-u^s, -u, s) system. A file is created with extracted events.

-J  Selects the map projection. Scale is UNIT/degree, 1:xxxxx, or width in UNIT (upper case modifier). UNIT is cm, inch, or m, depending on the MEASURE_UNIT setting in .gmtdefaults4, but this can be overridden on the command line by appending c, i, or m to the scale/width value. When central meridian is optional, default is center of longitude range on -R option. Default standard parallel is the equator. For map height, max dimension, or min dimension, append h, +, or - to the width, respectively.
    More details can be found in the psbasemap man pages.

    CYLINDRICAL PROJECTIONS:

    -Jclon0/lat0/scale (Cassini)
    -Jcyl_stere/[lon0/[lat0/]]scale (Cylindrical Stereographic)
    -Jj[lon0/]scale (Miller)
    -Jm[lon0/[lat0/]]scale (Mercator)
    -Jmlon0/lat0/scale (Mercator - Give meridian and standard parallel)
    -Jo[a]lon0/lat0/azimuth/scale (Oblique Mercator - point and azimuth)
    -Jo[b]lon0/lat0/lon1/lat1/scale (Oblique Mercator - two points)
    -Joclon0/lat0/lonp/latp/scale (Oblique Mercator - point and pole)
    -Jq[lon0/[lat0/]]scale (Cylindrical Equidistant)
    -Jtlon0/[lat0/]scale (TM - Transverse Mercator)
    -Juzone/scale (UTM - Universal Transverse Mercator)
    -Jy[lon0/[lat0/]]scale (Cylindrical Equal-Area)

    CONIC PROJECTIONS:

    -Jblon0/lat0/lat1/lat2/scale (Albers)
    -Jdlon0/lat0/lat1/lat2/scale (Conic Equidistant)
    -Jllon0/lat0/lat1/lat2/scale (Lambert Conic Conformal)
    -Jpoly[lon0/[lat0/]]scale ((American) Polyconic)

    AZIMUTHAL PROJECTIONS:

    -Jalon0/lat0[/horizon]/scale (Lambert Azimuthal Equal-Area)
    -Jelon0/lat0[/horizon]/scale (Azimuthal Equidistant)
    -Jflon0/lat0[/horizon]/scale (Gnomonic)
    -Jglon0/lat0[/horizon]/scale (Orthographic)
    -Jglon0/lat0/altitude/azimuth/tilt/twist/Width/Height/scale (General Perspective).
    -Jslon0/lat0[/horizon]/scale (General Stereographic)

    MISCELLANEOUS PROJECTIONS:

    -Jh[lon0/]scale (Hammer)
    -Ji[lon0/]scale (Sinusoidal)
    -Jkf[lon0/]scale (Eckert IV)
    -Jk[s][lon0/]scale (Eckert IV)
    -Jn[lon0/]scale (Robinson)
    -Jr[lon0/]scale (Winkel Tripel)
    -Jv[lon0/]scale (Van der Grinten)
    -Jw[lon0/]scale (Mollweide)

    NON-GEOGRAPHICAL PROJECTIONS:

    -Jp[a]scale[/origin][r|z] (Polar coordinates (theta,r))
    -Jxx-scale[d|l|ppow|t|T][/y-scale[d|l|ppow|t|T]] (Linear, log, and power scaling)

-R  west, east, south, and north specify the Region of interest, and you may specify them in decimal degrees or in [+-]dd:mm[:ss.xxx][W|E|S|N] format. Append r if lower left and upper right map coordinates are given instead of w/e/s/n. The two shorthands -Rg and -Rd stand for global domain (0/360 and -180/+180 in longitude respectively, with -90/+90 in latitude). Alternatively, specify the name of an existing grid file and the -R settings (and grid spacing, if applicable) are copied from the grid. If frame is defined from cross-section parameters (see -A) this option is not taken into account, but must be present.

-A  selects the cross-section.
    -Aalon1/lat1/lon2/lat2/dip/p_width/dmin/dmax[f]
    lon and lat are the longitude and latitude of points 1 and 2 limiting the length of the cross-section.
    dip is the dip of the plane on which the cross-section is made.
    p_width is the width of the cross-section on each side of a vertical plane or above and under an oblique plane.
    dmin and dmax are the distances min and max from horizontal plane, along steepest descent direction.
    Add f to get the frame from the cross-section parameters.
    -Ablon1/lat1/strike/p_length/dip/p_width/dmin/dmax[f]
    lon1 and lat1 are the longitude and latitude of the beginning of the cross-section.
    strike is the azimuth of the direction of the cross-section.
    p_length is the length along which the cross-section is made.
    The other parameters are the same as for -Aa option.
    -Acx1/y1/x2/y2/dip/p_width/dmin/dmax[f]
    The same as -Aa option with x and y cartesian coordinates.
    -Adx1/y1/strike/p_length/dip/p_width/dmin/dmax[f]
    The same as -Ab option with x and y cartesian coordinates.

-S  selects the meaning of the columns in the data file and the figure to be plotted.

-Sascale[/fontsize[/offset[u]]]
    Focal mechanisms in Aki and Richards convention. scale adjusts the scaling of the radius of the "beach ball", which will be proportional to the magnitude. The scale is the size for magnitude = 5 in MEASURE_UNIT (unless c, i, m, or p is appended to indicate that the size information is in units of cm, inches, meters, or points, respectively). Use the -T option to render the beach ball transparent by drawing only the nodal planes and the circumference. The color or shade of the compressive quadrants can be specified with the -G option. The color or shade of the extensive quadrants can be specified with the -E option. Parameters are expected to be in the following columns:

1,2:
    longitude, latitude of event (-: option interchanges order)

3:  depth of event in kilometers

4,5,6:
    strike, dip and rake

7:  magnitude

8,9:
    not used; can be 0 0; allows use of the psmeca file format

10: text string to appear above the beach ball (default) or under (add u).

-Scscale
    Focal mechanisms in Harvard CMT convention. scale adjusts the scaling of the radius of the "beach ball", which will be proportional to the magnitude. The scale is the size for magnitude = 5 (that is M0 = 4E+23 dynes-cm.) in MEASURE_UNIT (unless c, i, m, or p is appended to indicate that the size information is in units of cm, inches, meters, or points, respectively). Use the -T option to render the beach ball transparent by drawing only the nodal planes and the circumference. The color or shade of the compressive quadrants can be specified with the -G option. The color or shade of the extensive quadrants can be specified with the -E option. Parameters are expected to be in the following columns:

1,2:
    longitude, latitude of event (-: option interchanges order)

3:  depth of event in kilometers

4,5,6:
    strike, dip, and slip of plane 1

7,8,9:
    strike, dip, and slip of plane 2

10,11:
    mantissa and exponent of moment in dyne-cm (if magnitude is uses instead of scalar moment, magnitude is in column 10 and 0 must be in column 11)

12,13:
    not used; can be 0 0; allows use of the psmeca file format

14: text string to appear above the beach ball (default) or under (add u).

-Spscale[/fontsize[/offset[u]]]
    Focal mechanisms given with partial data on both planes. scale adjusts the scaling of the radius of the "beach ball", which will be proportional to the magnitude. The scale is the size for magnitude = 5 in MEASURE_UNIT (unless c, i, m, or p is appended to indicate that the size information is in units of cm, inches, meters, or points, respectively). The color or shade of the compressive quadrants can be specified with the -G option. The color or shade of the extensive quadrants can be specified with the -E option. Parameters are expected to be in the following columns:

1,2:
    longitude, latitude of event (-: option interchanges order)

3:  depth

4,5:
    strike, dip of plane 1

6:  strike of plane 2

7:  must be -1/+1 for a normal/inverse fault

8:  magnitude

9,10:
    not used; can be 0 0; allows use of the psmeca file format

11: text string to appear above the beach ball (default) or under (add u).

-Smscale[/fontsize[/offset[u]]]
    Seismic moment tensor. scale adjusts the scaling of the radius of the "beach ball", which will be proportional to the magnitude. The scale is the size for magnitude = 5 (that is seismic scalar moment = 4E+23 dynes-cm) in MEASURE_UNIT (unless c, i, m, or p is appended to indicate that the size information is in units of cm, inches, meters, or points, respectively). (-T0 option overlays best double couple transparently.) Put -Sdscale[/fontsize[/offset[u]]] to plot the only double couple part of moment tensor. Put -Szscale[/fontsize[/offset[u]]] to plot anisotropic part of moment tensor (zero trace). The color or shade of the compressive quadrants can be specified with the -G option. The color or shade of the extensive quadrants can be specified with the -E option. Parameters are expected to be in the following columns:

1,2:
    longitude, latitude of event (-: option interchanges order)

3:  depth of event in kilometers

4,5,6,7,8,9:
    mrr, mtt, mff, mrt, mrf, mtf in 10*exponent dynes-cm

10: exponent

11,12:
    Not used; can be 0 0; allows use of the psmeca file format

13: Text string to appear above the beach ball (default) or under (add u).

-Sxscale[/fontsize[/offset[u]]]
    Principal axis. scale adjusts the scaling of the radius of the "beach ball", which will be proportional to the magnitude. The scale is the size for magnitude = 5 (that is seismic scalar moment = 4*10e+23 dynes-cm) in MEASURE_UNIT (unless c, i, m, or p is appended to indicate that the size information is in units of cm, inches, meters, or points, respectively). (-T0 option overlays best double couple transparently.) Put -Syscale[/fontsize[/offset[u]]] to plot the only double couple part of moment tensor. Put -Stscale[/fontsize[/offset[u]]] to plot anisotropic part of moment tensor (zero trace). The color or shade of the compressive quadrants can be specified with the -G option. The color or shade of the extensive quadrants can be specified with the -E option. Parameters are expected to be in the following columns:

1,2:
    longitude, latitude of event (-: option interchanges order)

3:  depth of event in kilometers

4,5,6,7,8,9,10,11,12:
    value (in 10*exponent dynes-cm), azimuth, plunge of the T, N, and P axes.

13: exponent

14,15:
    longitude, latitude at which to place beach ball. Entries in these columns are necessary with the -C option. Using 0,0 in columns 9 and 10 will plot the beach ball at the longitude, latitude given in columns 1 and 2. The -: option will interchange the order of columns (1,2) and (9,10).

16: Text string to appear above the beach ball (optional).

-ssymbol[size[/fontsize[/offset[u]]]
    selects a symbol instead of mechanism. Choose from the following: (c) circle, (d) diamond, (i) itriangle, (s) square, (t) triangle, (x) cross. size is the symbol size in MEASURE_UNIT (unless c, i, m, or p is appended to indicate that the size information is in units of cm, inches, meters, or points, respectively). If size must be read, it must be in column 4 and the text string will start in column 5. Parameters are expected to be in the following columns:

1,2:
    longitude, latitude of event (-: option interchanges order)

3:  depth of event in kilometers

4:  Text string to appear above the beach ball (default) or under (add u).

OPTIONS
No space between the option flag and the associated arguments.

-B  Sets map boundary annotation and tickmark intervals; see the psbasemap man page for all the details.

-Efill
    Selects filling of extensive quadrants. Usually white. Set the shade (0-255) or color (r/g/b) [Default is 255/255/255].

-Gfill
    Selects filling of focal mechanisms. By convention, the compressional quadrants are shaded. Set the shade (0-255) or color (r/g/b) [Default is 0/0/0]. Optionally, specify -Gpicon_size/pattern, where pattern gives the number of the image pattern (1-90) OR the name of a Sun rasterfile. icon_size sets the unit size in inches. To invert black and white pixels, use -GP instead of -Gp. See Appendix E for information on individual patterns.

-H  Input file(s) has header record(s). If used, the default number of header records is N_HEADER_RECS. Use -Hi if only input data should have header records [Default will write out header records if the input data have them]. Blank lines and lines starting with # are always skipped.

-K  More PostScript code will be appended later [Default terminates the plot system].

-L[pen]
    Draws the "beach ball" outline using current pen (see -W) or sets pen attributes.

-M  Same size for any magnitude.

-N  Does NOT skip symbols that fall outside map border [Default plots points inside border only].

-O  Selects Overlay plot mode [Default initializes a new plot system].

-P  Selects Portrait plotting mode [Default is Landscape, see gmtdefaults to change this].

-T[num_of_planes]
    Plots the nodal planes and outlines the bubble which is transparent. If num_of_planes is
          0: both nodal planes are plotted;
          1: only the first nodal plane is plotted;
          2: only the second nodal plane is plotted [Default: 0].

-U  Draw Unix System time stamp on plot. By adding just/dx/dy/, the user may specify the justification of the stamp and where the stamp should fall on the page relative to lower left corner of the plot. For example, BL/0/0 will align the lower left corner of the time stamp with the lower left corner of the plot. Optionally, append a label, or c (which will plot the command string.). The GMT parameters UNIX_TIME, UNIX_TIME_POS, and UNIX_TIME_FORMAT can affect the appearance; see the gmtdefaults man page for details. The time string will be in the locale set by the environment variable TZ (generally local time).

-V  Selects verbose mode, which will send progress reports to stderr [Default runs "silently"].

-W  set pen attributes for text string or default pen attributes for fault plane edges. [Defaults: width = 1, color = 0/0/0, texture = solid].

-X -Y
    Shift plot origin relative to the current origin by (x-shift,y-shift) and optionally append the length unit (c, i, m, p). You can prepend a to shift the origin back to the original position after plotting, or prepend r [Default] to reset the current origin to the new location. If -O is used then the default (x-shift,y-shift) is (0,0), otherwise it is (r1i, r1i) or (r2.5c, r2.5c). Alternatively, give c to align the center coordinate (x or y) of the plot with the center of the page based on current page size.

-Zcptfile
    Give a color palette file and let compressive part color be determined by the z-value in the third column.

-a[size/[P_axis_symbol/[T_axis_symbol]]]
    Computes and plots P and T axes with symbols. Optionally specify size and (separate) P and T axis symbols from the following: (c) circle, (d) diamond, (h) hexagon, (i) inverse triangle, (p)point, (s) square, (t) triangle, (x) cross. [Defaults: 0.2c/c/c or 0.08i/c/c.]

-efill
    Selects filling of T axis symbol. Set the shade (0-255) or color (r/g/b) [Default is color of extensive parts.]

-gfill
    Selects filling of P axis symbol. Set the shade (0-255) or color (r/g/b) [Default is color of compressive parts.]

-p[pen]
    Draws the P axis outline using current pen (see -W), or sets pen attributes.

-t[pen]
    Draws the T axis outline using current pen (see -W), or sets pen attributes.

-:  Toggles between (longitude,latitude) and (latitude,longitude) input and/or output. [Default is (longitude,latitude)]. Append i to select input only or o to select output only. [Default affects both].

-c  Specifies the number of plot copies. [Default is 1].

SEE ALSO
GMT(1), psbasemap(1), psmeca(1), psxy(1)

REFERENCES
Bomford, G., Geodesy, 4th ed., Oxford University Press, 1980.
Aki, K. and P. Richards, Quantitative Seismology, Freeman, 1980.
F. A. Dahlen and Jeroen Tromp, Theoretical Seismology, Princeton, 1998, p.167. Definition of scalar moment.
Cliff Frohlich, Cliff's Nodes Concerning Plotting Nodal Lines for P, Sh and Sv
Seismological Research Letters, Volume 67, Number 1, January-February, 1996
Thorne Lay, Terry C. Wallace, Modern Global Seismology, Academic Press, 1995, p.384.
W.H. Press, S.A. Teukolsky, W.T. Vetterling, B.P. Flannery, Numerical Recipes in C, Cambridge University press (routine jacobi)

AUTHOR
Genevieve Patau
CNRS UMR 7580
Seismology Dept.
Institut de Physique du Globe de Paris
(patau@ipgp.jussieu.fr)